import CoUxSwitch from '../../../../components/10x/ux/ux-switch.js';
import EuiBasePage from '../eui-base.po.js';

export default class SwitchPage extends EuiBasePage {
  constructor() {
      super();
  }
  switchByIndex(index) {
    let switch1 =  new CoUxSwitch(this.mainContent);
    return switch1.byIndex(index);
  }
  switchByTextContains(text) {
    let switch1 = new CoUxSwitch(this.mainContent);
    return switch1.byTextContains(text);
  }
  switchByTextEqualsAndIndex(text, index, normalize=true) {
    let switch1 = new CoUxSwitch(this.mainContent);
    return switch1.byTextEqualsAndIndex(text, index, normalize);
  }
  switchFromSectionById(id) {
    return new CoUxSwitch(this.sectionById(id));
  }
  switchFromSectionWithIdByIndex(id, index) {
    let switch1 = new CoUxSwitch(this.sectionById(id));
    return switch1.byIndex(index);
  }

}


